use crate::models::Ctatt;
use crate::models::train::Train;
use serde::{Deserialize, Serialize};

#[derive(Serialize, Debug)]
pub struct RouteRequest {
    pub rt: String,
    pub key: String,
}

#[derive(Deserialize, Debug)]
pub struct Route {
    #[serde(rename = "@name")]
    pub name: String,
    pub train: Vec<Train>,
}

#[derive(Deserialize, Debug)]
pub struct RouteResp {
    #[serde(flatten)]
    pub header: Ctatt,
    pub route: Vec<Route>,
}
